## okteta 0.26.4

=== kasten/controllers/CMakeLists.txt ===
set(OKTETAKASTENCONTROLLERS_VERSION ${OKTETAKASTEN_LIB_VERSION})
set(OKTETAKASTENCONTROLLERS_SO_VERSION ${OKTETAKASTEN_LIB_SOVERSION})

set( LIBFRAMESPRINT_REL_DIR ../../libs/framesprint )

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetakasten\")

include_directories(
  view/libbytearraychecksum
  view/libbytearrayfilter
  view/libfinddialog
  ${LIBFRAMESPRINT_REL_DIR}
)

set(HAVE_QCA2 ${Qca-qt5_FOUND})
configure_file(config-qca2.hpp.in  ${CMAKE_CURRENT_BINARY_DIR}/config-qca2.hpp)

macro(OKTETAKASTENCONTROLLERS_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Controllers NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

macro(OKTETAKASTENCONTROLLERS_ADD_SUBLIBRARY_STRUCTURES_TESTED _subdir)
    okteta_add_sublibrary(Controllers NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        SOURCE_TAG structures_tested
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()


oktetakastencontrollers_add_sublibrary(document/info
    PUBLIC
        DocumentInfoToolFactory
        DocumentInfoToolViewFactory
    PRIVATE
        ByteArrayModelIoDevice
        DocumentInfoView
        DocumentInfoTool
        DocumentInfoToolView
)

# unused, TODO: remove?
if (FALSE)
oktetakastencontrollers_add_sublibrary(document/overwriteonly
    PUBLIC
        OverwriteOnlyControllerFactory
    PRIVATE
        OverwriteOnlyController
)
endif()

oktetakastencontrollers_add_sublibrary(view/overwritemode
    PUBLIC
        OverwriteModeControllerFactory
    PRIVATE
        OverwriteModeController
)
oktetakastencontrollers_add_sublibrary(view/info
    PUBLIC
        InfoToolFactory
        InfoToolViewFactory
    PRIVATE
        CreateStatisticJob
        StatisticTableModel
        InfoView
        InfoTool
        InfoToolView
    KCFG
        infoviewsettings.kcfgc
)

oktetakastencontrollers_add_sublibrary(view/stringsextract
    PUBLIC
        StringsExtractToolFactory
        StringsExtractToolViewFactory
    PRIVATE
        ExtractStringsJob
        ContainedStringTableModel
        StringsExtractView
        ContainedString
        StringsExtractTool
        StringsExtractToolView
)

oktetakastencontrollers_add_sublibrary(view/libbytearraychecksum
    PRIVATE
        AbstractByteArrayChecksumAlgorithm
        AbstractByteArrayChecksumParameterSet
        AbstractByteArrayChecksumParameterSetEdit
        ByteArrayChecksumAlgorithmFactory
        ByteArrayChecksumParameterSetEditFactory
)
if( Qca-qt5_FOUND )
    set( QCA2CHECKSUM_CLASSES
        Qca2ByteArrayChecksumAlgorithm
    )
endif()
oktetakastencontrollers_add_sublibrary(view/libbytearraychecksum/algorithm
    PRIVATE
        Crc32ByteArrayChecksumAlgorithm
        Crc64ByteArrayChecksumAlgorithm
        Adler32ByteArrayChecksumAlgorithm
        ModSum8ByteArrayChecksumAlgorithm
        ModSum16ByteArrayChecksumAlgorithm
        ModSum32ByteArrayChecksumAlgorithm
        ModSum64ByteArrayChecksumAlgorithm
## NEWCHECKSUM(start)
## Here add the names of your classes of your checksum algorithm,
## e.g.
##         MyByteArrayChecksumAlgorithm
## NEWCHECKSUM(end)
        NoByteArrayChecksumParameterSet
        NoByteArrayChecksumParameterSetEdit
        ModSumByteArrayChecksumParameterSet
        ModSumByteArrayChecksumParameterSetEdit
        Crc64ByteArrayChecksumParameterSet
        Crc64ByteArrayChecksumParameterSetEdit
## NEWCHECKSUMPARAMETERSET(start)
## Here add the names of your classes of your checksum parameter set and
## of the widget to edit the checksum parameter set,
## e.g.
##         MyByteArrayChecksumParameterSet
##         MyByteArrayChecksumParameterSetEdit
## NEWCHECKSUMPARAMETERSET(end)
        ${QCA2CHECKSUM_CLASSES}
)

oktetakastencontrollers_add_sublibrary(view/checksum
    PUBLIC
        ChecksumToolFactory
        ChecksumToolViewFactory
    PRIVATE
        ChecksumCalculateJob
        ChecksumLogging
        ChecksumView
        ChecksumTool
        ChecksumToolView
)

oktetakastencontrollers_add_sublibrary(view/libfinddialog
    PUBLIC
        FindDirection
    PRIVATE
        AbstractFindDialog
)

oktetakastencontrollers_add_sublibrary(view/poddecoder/typecodecs
    PRIVATE
        Binary8Codec
        Octal8Codec
        Hexadecimal8Codec
        UInt8Codec
        UInt16Codec
        UInt32Codec
        UInt64Codec
        SInt8Codec
        SInt16Codec
        SInt32Codec
        SInt64Codec
        Float32Codec
        Float64Codec
        Char8Codec
        Utf8Codec
)

oktetakastencontrollers_add_sublibrary(view/poddecoder
    PUBLIC
        PODDecoderToolFactory
        PODDecoderToolViewFactory
    PRIVATE
        PODData
        PODTableModel
        PODDelegate
        PODTableView
        PODDecoderTool
        PODDecoderToolView
)

oktetakastencontrollers_add_sublibrary(view/poddecoder/typeeditors
    SOURCE_TAG typeeditor
    PRIVATE
        AbstractValue8Editor
        Binary8Editor
        Octal8Editor
        Hexadecimal8Editor
        UIntSpinBox
        SIntSpinBox
        Float32Editor
        Float64Editor
        Char8Editor
        Utf8Editor
)

oktetakastencontrollers_add_sublibrary(view/bytetable
    PUBLIC
        ByteTableToolFactory
        ByteTableToolViewFactory
    PRIVATE
        ByteTableModel
        ByteTableView
        ByteTableTool
        ByteTableToolView
    KCFG
        bytetableviewsettings.kcfgc
)

oktetakastencontrollers_add_sublibrary(view/search
    PUBLIC
        SearchControllerFactory
    PRIVATE
        SearchUserQueryable
        SearchDialog
        SearchJob
        SearchTool
        SearchController
)

oktetakastencontrollers_add_sublibrary(view/replace
    PUBLIC
        ReplaceControllerFactory
    PRIVATE
        ReplaceUserQueryable
        ReplaceController
        ReplaceDialog
        ReplacePrompt
        ReplaceJob
        ReplaceTool
)

oktetakastencontrollers_add_sublibrary(view/libbytearrayfilter
    PRIVATE
        AbstractByteArrayFilter
        AbstractByteArrayFilterParameterSet
        AbstractByteArrayFilterParameterSetEdit
        ByteArrayFilterFactory
        ByteArrayFilterParameterSetEditFactory
)

oktetakastencontrollers_add_sublibrary(view/libbytearrayfilter/filter
    PRIVATE
        NoByteArrayFilterParameterSet
        OperandByteArrayFilterParameterSet
        ReverseByteArrayFilterParameterSet
        RotateByteArrayFilterParameterSet
## NEWFILTERPARAMETERSET(start)
## Here add the names of your classes of your filter parameter set,
## e.g.
##         MyByteArrayFilterParameterSet
## NEWFILTERPARAMETERSET(end)
        AndByteArrayFilter
        OrByteArrayFilter
        XorByteArrayFilter
        InvertByteArrayFilter
        ReverseByteArrayFilter
        RotateByteArrayFilter
        ShiftByteArrayFilter
## NEWFILTER(start)
## Here add the names of your classes of your filter,
## e.g.
##         MyByteArrayFilter
## NEWFILTER(end)
        NoByteArrayFilterParameterSetedit
        OperandByteArrayFilterParameterSetedit
        ReverseByteArrayFilterParameterSetedit
        RotateByteArrayFilterParameterSetedit
## NEWFILTERPARAMETERSET(start)
## Here add the names of your classes of your widget to edit the filter parameter set,
## e.g.
##         MyByteArrayFilterParameterSetedit
## NEWFILTERPARAMETERSET(end)
)
oktetakastencontrollers_add_sublibrary(view/filter
    PUBLIC
        FilterToolFactory
        FilterToolViewFactory
    PRIVATE
        FilterJob
        FilterView
        FilterTool
        FilterToolView
)

oktetakastencontrollers_add_sublibrary(view/charsetconversion
    PUBLIC
        CharsetConversionToolFactory
        CharsetConversionToolViewFactory
    PRIVATE
        CharsetConversionJob
        CharsetConversionView
        CharsetConversionTool
        CharsetConversionToolView
)

oktetakastencontrollers_add_sublibrary(view/gotooffset
    PUBLIC
        GotoOffsetControllerFactory
    PRIVATE
        GotoOffsetTool
        GotoOffsetView
        GotoOffsetToolView
        GotoOffsetController
)

oktetakastencontrollers_add_sublibrary(view/selectrange
    PUBLIC
        SelectRangeControllerFactory
    PRIVATE
        SelectRangeTool
        SelectRangeView
        SelectRangeToolView
        SelectRangeController
)

oktetakastencontrollers_add_sublibrary(view/bookmarks
    PUBLIC
        BookmarksControllerFactory
    PRIVATE
        BookmarkEditPopup
        BookmarksController
)

oktetakastencontrollers_add_sublibrary(view/bookmarks
    PUBLIC
        BookmarksToolFactory
        BookmarksToolViewFactory
    PRIVATE
        BookmarkListModel
        BookmarksView
        BookmarksTool
        BookmarksToolView
)


oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/datatypes
    PRIVATE
        TopLevelDataInformation
        DataInformation
        DataInformationbase
        DummyDataInformation
        DataInformationwithchildren
        StructureDataInformation
        TaggedUnionDataInformation
        UnionDataInformation
        PrimitiveFactory
        PrimitiveDataType
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/datatypes/array
    PRIVATE
        ArrayDataInformation
        AbstractArrayData
        ComplexArrayData
        PrimitiveArrayData
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/datatypes/primitive
    PRIVATE
        PointerDataInformation
        CharDataInformation
        DoubleDataInformation
        FloatDataInformation
        SIntDataInformation
        UIntDataInformation
        BoolDataInformation
        FlagDataInformation
        PrimitiveDataInformation
        BasicPrimitiveDataInformation
        EnumDataInformation
        EnumDefinition
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/datatypes/primitive/bitfield
    PRIVATE
        AbstractBitfieldDataInformation
        BoolBitfieldDataInformation
        SignedBitfieldDataInformation
        UnsignedBitfieldDataInformation
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/datatypes/strings
    PRIVATE
        StringDataInformation
        StringData
        AsciiStringData
        Latin1StringData
        Utf8StringData
        Utf16StringData
        Utf32StringData
        EbcdicStringData
)
oktetakastencontrollers_add_sublibrary_structures_tested(../../core/codecs
    PRIVATE
        Ebcdic1047CharCodec
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/script
    PRIVATE
        ScriptEngineInitializer
        ScriptHandler
        ScriptHandlerInfo
        ScriptUtils
        ScriptLogger
        ScriptLoggerView
        SafeReference
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/script/classes
    PRIVATE
        DefaultScriptClass
        ArrayScriptClass
        PrimitiveScriptClass
        EnumScriptClass
        PointerScriptClass
        BitfieldScriptClass
        StringScriptClass
        StructUnionScriptClass
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/parsers
    PRIVATE
        AbstractStructureParser
        OsdParser
        ScriptFileParser
        ScriptValueConverter
        DataInformationFactory
        ParserUtils
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures/settings
    KCFG
        structureviewpreferences.kcfgc
)

oktetakastencontrollers_add_sublibrary_structures_tested(view/structures
    PRIVATE
        AllPrimitiveTypes
        StructLogging
)

#these source files are not needed by the static library for unit tests, therefore keep them separate
oktetakastencontrollers_add_sublibrary(view/structures/settings
    PRIVATE
        StructureAddRemoveWidget
        StructuresSelectionDialog
        StructureViewSettingsWidget
        StructuresManagerView
    UI structureviewsettingswidget.ui
)
oktetakastencontrollers_add_sublibrary(view/structures
    PUBLIC
        StructuresToolFactory
        StructuresToolViewFactory
    PRIVATE

=== debian/changelog ===
okteta (5:0.26.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright.
  * Update symbols files.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - manually force the generation of the substvars for the kde-l10n breaks,
      and strict shlibs handling
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * CI: disable build path variations, as not well handled with okteta by the
    current toolchain.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jul 2020 17:08:55 +0200

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.48.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.48.0~),
               libkf5codecs-dev (>= 5.48.0~),
               libkf5completion-dev (>= 5.48.0~),
               libkf5configwidgets-dev (>= 5.48.0~),
               libkf5crash-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5doctools-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5iconthemes-dev (>= 5.48.0~),
               libkf5kcmutils-dev (>= 5.48.0~),
               libkf5kio-dev (>= 5.48.0~),
               libkf5newstuff-dev (>= 5.48.0~),
               libkf5parts-dev (>= 5.48.0~),
               libkf5service-dev (>= 5.48.0~),
               libkf5widgetsaddons-dev (>= 5.48.0~),
               libkf5xmlgui-dev (>= 5.48.0~),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.23~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               shared-mime-info (>= 0.30),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://kde.org/applications/utilities/okteta
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/okteta.git

Package: libkasten4controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.

Package: libkasten4core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.

Package: libkasten4gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.

Package: libkasten4okteta2controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.

Package: libkasten4okteta2core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.

Package: libkasten4okteta2gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.

Package: libokteta3core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.

Package: libokteta3gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.

Package: libokteta-l10n
Architecture: all
Section: localization
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
        libkasten3core3 (<< 5:0.26.2),
        libkasten3okteta1core1 (<< 5:0.26.2),
        libokteta2core2 (<< 5:0.26.2),
        libokteta2gui2 (<< 5:0.26.2),
Replaces: ${kde-l10n:all}
          libkasten3core3 (<< 5:0.26.2),
          libkasten3okteta1core1 (<< 5:0.26.2),
          libokteta2core2 (<< 5:0.26.2),
          libokteta2gui2 (<< 5:0.26.2),
Description: translations of okteta/kasten libraries
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the translations for the various libokteta/libkasten
 libraries.

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkf5xmlgui-dev (>= 5.48.0~),
         qtbase5-dev (>= 5.9~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.

=== debian/rules ===
#!/usr/bin/make -f

TESTS_HOME=$(CURDIR)/debian/tests.home

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_HOME)"
	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
	rm -rf "$(TESTS_HOME)"
endif

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

override_dh_gencontrol-arch: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## okteta 0.26.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(Okteta VERSION 0.26.5)

set(REQUIRED_KF5_VERSION "5.48.0")
find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# ECM macros
include(ECMInstallIcons)
include(ECMAddAppIcon)
# CMake macros
include(FeatureSummary)
include(CMakeDependentOption)
if(BUILD_TESTING)
  include(ECMAddTests)
endif()
# Okteta macros
include(OktetaInternalMacros)

# control build scope, default to examples if BUILD_TESTING is ON
if( NOT DEFINED OMIT_EXAMPLES AND NOT BUILD_TESTING )
    set( OMIT_EXAMPLES TRUE )
endif()
if( NOT DEFINED OMIT_INTERNAL_TEMPLATES AND NOT BUILD_TESTING )
    set( OMIT_INTERNAL_TEMPLATES TRUE )
endif()

if( NOT OMIT_EXAMPLES )
    set( OKTETA_BUILD_EXAMPLES TRUE )
endif()
if( NOT OMIT_INTERNAL_TEMPLATES )
    set( KASTEN_BUILD_INTERNAL_TEMPLATES TRUE )
endif()

option(BUILD_DESIGNERPLUGIN "Build the Designer plugin." ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Qt Designer plugin")
option(BUILD_OKTETAKASTENLIBS "Build the Okteta Kasten libraries." ON)
add_feature_info(OKTETAKASTENLIBS ${BUILD_OKTETAKASTENLIBS} "Okteta Kasten libraries")

cmake_dependent_option(BUILD_KPARTSPLUGIN "Build the KParts plugin." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(KPARTSPLUGIN ${BUILD_KPARTSPLUGIN} "KParts plugin")
cmake_dependent_option(BUILD_DESKTOPPROGRAM "Build the program." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(DESKTOPPROGRAM ${BUILD_DESKTOPPROGRAM} "Program")

set(REQUIRED_QT_VERSION "5.9.0")
set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()
if( BUILD_DESIGNERPLUGIN )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS UiPlugin)
endif()
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS
        Network
        PrintSupport
        Qml
        Script
        ScriptTools
        Xml
    )
endif()
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
    COMPONENTS
    Core
    Widgets
    ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

set(ADDITIONAL_REQUIRED_KF_COMPONENTS)
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Bookmarks
        Completion
        IconThemes
        KCMUtils
        KIO
        NewStuff
        Parts
        Service
        WidgetsAddons
        XmlGui
    )
endif()
if( BUILD_DESKTOPPROGRAM )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Crash
        DBusAddons
        DocTools
    )
endif()
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
    Codecs
    ConfigWidgets
    I18n
    ${ADDITIONAL_REQUIRED_KF_COMPONENTS}
)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https://commits.kde.org/qca"
    TYPE OPTIONAL
    PURPOSE "Needed for most of the algorithms of the checksum tool"
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

# helper libs
add_subdirectory( libs )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( doc )
endif()

set( OKTETALIBS_MAJOR_VERSION 0 )
set( OKTETALIBS_MINOR_VERSION 10 )
set( OKTETALIBS_PATCHLEVEL_VERSION 0 )
set( OKTETALIBS_VERSION "${OKTETALIBS_MAJOR_VERSION}.${OKTETALIBS_MINOR_VERSION}.${OKTETALIBS_PATCHLEVEL_VERSION}" )
set( OKTETALIBS_ABI_VERSION 3 )

set( OKTETALIBS_LIB_SOVERSION 0 )
set( OKTETALIBS_LIB_VERSION ${OKTETALIBS_VERSION} )

# Okteta libs
add_subdirectory( core )
add_subdirectory( gui )

if( BUILD_DESIGNERPLUGIN )
    add_subdirectory( designer )
endif()

# Okteta Kasten components
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( kasten )
endif()
# special mimetypes
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( mimetypes )
endif()

# programs and parts for desktop
add_subdirectory( parts )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( program )
endif()

ki18n_install(po)

if( BUILD_DESKTOPPROGRAM )
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gui/CMakeLists.txt ===
set(OKTETAGUI_VERSION ${OKTETALIBS_LIB_VERSION})
set(OKTETAGUI_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetagui\")

include_directories(
    libcolumnsview
)

macro(OKTETAGUI_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Gui NAMESPACE Okteta
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

oktetagui_add_sublibrary(controller
    PRIVATE
        AbstractController
        AbstractMouseController
        AbstractWheelController
        AbstractEditor
        KeyNavigator
        TabController
        ClipboardController
        UndoRedoController
        CharEditor
        ValueEditor
        MouseNavigator
        MousePaster
        # Dragger
        ZoomWheelController
        Dropper
)

oktetagui_add_sublibrary(libcolumnsview
    PUBLIC
        AbstractColumnStylist
        AbstractColumnRenderer
        ColumnsView
        PixelMetrics # TODO: this header needs to be redone

    PRIVATE
        AbstractColumnStylist
        AbstractColumnRenderer
)

okteta_add_sublibrary(Gui  NAMESPACE Okteta
    PUBLIC
        OktetaGui

        LinePosition
        Line
        LinePositionRange
        LineRange

        Coord
        CoordRange
        CoordRangeList
        Selection

        AbstractByteArrayColumnRenderer
        CharByteArrayColumnRenderer
        ValueByteArrayColumnRenderer
        ByteArrayRowColumnRenderer
        OffsetColumnRenderer
        BorderColumnRenderer

        AbstractByteArrayView
        ByteArrayColumnView

        OffsetFormat
        ByteArrayTableRanges
        ByteArrayRowView
        ByteArrayTableLayout
        WidgetColumnStylist

    PRIVATE
        ByteArrayTableCursor
        Cursor
)


okteta_add_library(Gui NAMESPACE Okteta
    PUBLIC
        OktetaCore
        Qt5::Widgets
    PRIVATE
        KF5::I18n
        KF5::ConfigWidgets
    VERSION     ${OKTETAGUI_VERSION}
    SOVERSION   ${OKTETAGUI_SO_VERSION}
    ABIVERSION  ${OKTETALIBS_ABI_VERSION}
    SOURCES   ${oktetagui_LIB_SRCS}
    HEADERS   ${oktetagui_LIB_HDRS}
    CCHEADERS ${oktetagui_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

okteta_add_cmakeconfig(Gui NAMESPACE Okteta
)

okteta_add_qmakeconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore widgets
)

okteta_add_pkgconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore Qt5Widgets
    DESCRIPTION "Okteta Gui"
)

if(BUILD_TESTING)
  add_subdirectory( test )
#   add_library( testoktetacore STATIC ${oktetagui_LIB_SRCS} )
endif()

=== kasten/core/CMakeLists.txt ===
set(OKTETAKASTENCORE_VERSION ${OKTETAKASTEN_LIB_VERSION})
set(OKTETAKASTENCORE_SO_VERSION ${OKTETAKASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetakasten\")

include_directories(
  document
)

macro(OKTETAKASTENCORE_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Core NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

oktetakastencore_add_sublibrary(document
    PUBLIC
        ByteArrayDocument
        ByteArrayDocumentFactory
        ByteArraySelection
)

oktetakastencore_add_sublibrary(io/filesystem
    PUBLIC
        ByteArrayRawFileSynchronizer
        ByteArrayRawFileSynchronizerFactory
    PRIVATE
        #   io/filesystem/externalbookmarkstorage
        ByteArrayRawFileLoadThread
        ByteArrayRawFilereloadThread
        ByteArrayRawFilewriteThread
        ByteArrayRawFileLoadJob
        ByteArrayRawFileConnectjob
        ByteArrayRawFileWriteJob
        ByteArrayRawFileReloadJob
        ByteArrayRawFileWriteToJob
)


okteta_add_library(Core NAMESPACE Okteta Kasten
    PUBLIC
        KastenCore
        OktetaCore
    PRIVATE
        KF5::I18n
        KF5::Bookmarks
    VERSION     ${OKTETAKASTENCORE_VERSION}
    SOVERSION   ${OKTETAKASTENCORE_SO_VERSION}
    ABIVERSION  ${OKTETAKASTEN_ABI_VERSION} ${KASTEN_ABI_VERSION}
    SOURCES   ${oktetakastencore_LIB_SRCS}
    HEADERS   ${oktetakastencore_LIB_HDRS}
    CCHEADERS ${oktetakastencore_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
    REVERSE_NAMESPACE_INCLUDEDIR
    REVERSE_NAMESPACE_LIB
)

okteta_add_cmakeconfig(Core NAMESPACE Okteta Kasten
)

if(BUILD_TESTING)
  add_subdirectory(document/tests)
  add_subdirectory(io/tests)
endif()

=== libs/kasten/controllers/CMakeLists.txt ===
set(KASTENCONTROLLERS_VERSION ${KASTEN_LIB_VERSION})
set(KASTENCONTROLLERS_SO_VERSION ${KASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"libkasten\")

macro(KASTENCONTROLLERS_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Controllers  NAMESPACE Kasten
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

kastencontrollers_add_sublibrary(io/synchronize
    PUBLIC
        SynchronizeControllerFactory
    PRIVATE
        SynchronizeController
)

kastencontrollers_add_sublibrary(io/setremote
    PUBLIC
        SetRemoteControllerFactory
    PRIVATE
        SetRemoteController
)

kastencontrollers_add_sublibrary(documentsystem/creator
    PUBLIC
        CreatorControllerFactory
    PRIVATE
        CreatorController
)

kastencontrollers_add_sublibrary(documentsystem/loader
    PUBLIC
        LoaderControllerFactory
    PRIVATE
        LoaderController
)

kastencontrollers_add_sublibrary(documentsystem/close
    PUBLIC
        CloseControllerFactory
    PRIVATE
        CloseController
)

kastencontrollers_add_sublibrary(documentsystem/filesystembrowser
    PUBLIC
        FileSystemBrowserToolFactory
        FileSystemBrowserToolViewFactory
    PRIVATE
        FileSystemBrowserView
        FileSystemBrowserTool
        FileSystemBrowserToolView
)

kastencontrollers_add_sublibrary(documentsystem/documentsbrowser
    PUBLIC
        DocumentsToolFactory
        DocumentsToolViewFactory
    PRIVATE
        DocumentsView
        DocumentListModel
        DocumentsTool
        DocumentsToolView
)

kastencontrollers_add_sublibrary(document/terminal
    PUBLIC
        TerminalToolFactory
        TerminalToolViewFactory
    PRIVATE
        TerminalView
        TerminalTool
        TerminalToolView
)

kastencontrollers_add_sublibrary(document/modified
    PUBLIC
        ModifiedBarControllerFactory
    PRIVATE
        ModifiedBarController
)

kastencontrollers_add_sublibrary(document/readonly
    PUBLIC
        ReadOnlyControllerFactory
        # TODO: two plugins in one subdir
        ReadOnlyBarControllerFactory
    PRIVATE
        ReadOnlyController
        ReadOnlyBarController
)

if(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
kastencontrollers_add_sublibrary(document/versionview
    PUBLIC
        VersionViewToolFactory
        VersionViewToolViewFactory
    PRIVATE
        VersionTableModel
        VersionView
        VersionViewTool
        VersionViewToolView
)
endif()

kastencontrollers_add_sublibrary(view/version
    PUBLIC
        VersionControllerFactory
    PRIVATE
        VersionController
)

kastencontrollers_add_sublibrary(view/zoom
    PUBLIC
        ZoomControllerFactory
        # TODO: two plugins in one subdir
        ZoomBarControllerFactory
    PRIVATE
        ZoomSlider
        ZoomController
        ZoomBarController
)

kastencontrollers_add_sublibrary(view/select
    PUBLIC
        SelectControllerFactory
    PRIVATE
        SelectController
)

kastencontrollers_add_sublibrary(io/clipboard
    PUBLIC
        ClipboardControllerFactory
    PRIVATE
        ClipboardController
)

kastencontrollers_add_sublibrary(io/insert
    PUBLIC
        InsertControllerFactory
    PRIVATE
        InsertDialog
        InsertController
)

kastencontrollers_add_sublibrary(io/copyas
    PUBLIC
        CopyAsControllerFactory
    PRIVATE
        CopyAsDialog
        CopyAsController
)

kastencontrollers_add_sublibrary(io/export
    PUBLIC
        ExportControllerFactory
    PRIVATE
        ExportDialog
        ExportController
)

# set( CLOSECONTROLLER_SRCS
#   viewsystem/close/closecontroller.cpp
# )
kastencontrollers_add_sublibrary(shellwindow/switchview
    PUBLIC
        SwitchViewControllerFactory
    PRIVATE
        SwitchViewController
)

kastencontrollers_add_sublibrary(shellwindow/viewlistmenu
    PUBLIC
        ViewListMenuControllerFactory
    PRIVATE
        ViewListMenuController
)

kastencontrollers_add_sublibrary(shellwindow/viewareasplit
    PUBLIC
        ViewAreaSplitControllerFactory
    PRIVATE
        ViewAreaSplitController
)

kastencontrollers_add_sublibrary(shellwindow/toollistmenu
    PUBLIC
        ToolListMenuControllerFactory
    PRIVATE
        ToolListMenuController
)

kastencontrollers_add_sublibrary(shellwindow/fullscreen
    PUBLIC
        FullScreenControllerFactory
    PRIVATE
        FullScreenController
)

# KColorSchemeManager::createSchemeSelectionMenu misses to set UI string before 5.67
if(NOT KF5_VERSION VERSION_LESS "5.67.0")
set(HAVE_UICOLORSCHEMECONTROLLER TRUE)
kastencontrollers_add_sublibrary(program/uicolorscheme
    PUBLIC
        UiColorSchemeControllerFactory
    PRIVATE
        UiColorSchemeController
)
endif()

kastencontrollers_add_sublibrary(program/quit
    PUBLIC
        QuitControllerFactory
    PRIVATE
        QuitController
)


okteta_add_library(Controllers NAMESPACE Kasten
    PUBLIC
        KastenGui
        KastenCore
    PRIVATE
        KF5::I18n
        KF5::ConfigWidgets
        KF5::XmlGui
        KF5::KIOFileWidgets
        KF5::Parts
    VERSION     ${KASTENCONTROLLERS_VERSION}
    SOVERSION   ${KASTENCONTROLLERS_SO_VERSION}
    ABIVERSION  ${KASTEN_ABI_VERSION}
    SOURCES   ${kastencontrollers_LIB_SRCS}
    HEADERS   ${kastencontrollers_LIB_HDRS}
    CCHEADERS ${kastencontrollers_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

if (NOT HAVE_UICOLORSCHEMECONTROLLER)
    target_compile_definitions(KastenControllers INTERFACE KASTEN_NO_UICOLORSCHEMECONTROLLER)
endif()

okteta_add_cmakeconfig(Controllers NAMESPACE Kasten
)

=== libs/kasten/core/CMakeLists.txt ===
set(KASTENCORE_VERSION ${KASTEN_LIB_VERSION})
set(KASTENCORE_SO_VERSION ${KASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"libkasten\")

include_directories(
#     entity
    document
    io
    io/filesystem
    system
)

macro(KASTENCORE_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Core  NAMESPACE Kasten
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

# kastencore_add_sublibrary(entity
#     PUBLIC
#         AbstractEntity
#         Group
#         Person
# )

kastencore_add_sublibrary(document
    PUBLIC
        Versionable
#         UserListable

        AbstractModel
        AbstractModelSelection
        AbstractDocument
        AbstractDocumentFactory
        AbstractTool
        AbstractToolFactory

        DocumentVersionId
        DocumentVersionData
)

kastencore_add_sublibrary(io
    PUBLIC
        AbstractSyncToRemoteJob
        AbstractModelSynchronizer
        AbstractSyncWithRemoteJob
        AbstractSyncFromRemoteJob
        AbstractConnectJob
        AbstractModelStreamEncoder
        AbstractModelDataGenerator
        AbstractExportJob
        AbstractModelExporter
        ModelStreamEncodeThread
        ModelDataGenerateThread
        AbstractLoadJob
        AbstractModelSynchronizerFactory
)

kastencore_add_sublibrary(io/filesystem
    PUBLIC
        AbstractFileSystemSyncWithRemoteJob
        AbstractFileSystemSyncFromRemoteJob
        AbstractFileSystemSyncToRemoteJob
        AbstractModelFileSystemSynchronizer
        AbstractFileSystemConnectJob
        AbstractFileSystemLoadJob
        AbstractFileSystemExportJob
        ModelEncoderFileSystemExporter
        ModelEncoderFileSystemExportJob
)

kastencore_add_sublibrary(system
    PUBLIC
        AbstractOverwriteDialog
        AbstractSaveDiscardDialog

        JobManager
        DocumentManager
        DocumentCreateManager
        DocumentSyncManager
        ModelCodecManager
)

okteta_add_sublibrary(Core  NAMESPACE Kasten
    PUBLIC
        KastenCore
)


okteta_add_library(Core NAMESPACE Kasten
    PUBLIC
        KF5::KIOCore
        Qt5::Core
        Qt5::Gui
    PRIVATE
        KF5::I18n
        KF5::JobWidgets
        KF5::WidgetsAddons
        Qt5::Network
    VERSION     ${KASTENCORE_VERSION}
    SOVERSION   ${KASTENCORE_SO_VERSION}
    ABIVERSION  ${KASTEN_ABI_VERSION}
    SOURCES   ${kastencore_LIB_SRCS}
    HEADERS   ${kastencore_LIB_HDRS}
    CCHEADERS ${kastencore_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

okteta_add_cmakeconfig(Core NAMESPACE Kasten
)

if(BUILD_TESTING)
  add_subdirectory( tests )
endif()

=== libs/kasten/core/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set( SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/.. )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${SUTDIR}/..
  ${SUTDIR}
)

########### util ###############

set( kastencoretestutil_LIB_SRCS
  util/filesystem.cpp
)

add_library( kastencoretestutil  STATIC ${kastencoretestutil_LIB_SRCS} )
target_link_libraries( kastencoretestutil Qt5::Test Qt5::Core)

########### io ###############

set( kastencoretestio_LIB_SRCS
  testdocumentfileloadthread.cpp
  testdocumentfilereloadthread.cpp
  testdocumentfilewritethread.cpp
  testdocumentfileloadjob.cpp
  testdocumentfileconnectjob.cpp
  testdocumentfilewritejob.cpp
  testdocumentfilereloadjob.cpp
  testdocumentfilewritetojob.cpp
)

add_library( kastencoretestio  STATIC ${kastencoretestio_LIB_SRCS} )
target_link_libraries( kastencoretestio
PUBLIC
  Qt5::Core
PRIVATE
  KF5::I18n
  KF5::CoreAddons
)

########### testdocumenttest ###############

ecm_add_test(
  testdocument.cpp
  testdocumenttest.cpp
  TEST_NAME testdocumenttest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  KastenCore
  Qt5::Test
)

########### testdocumentfilesynchronizertest ###############

ecm_add_test(
  testdocument.cpp
  testdocumentfilesynchronizer.cpp
  testdocumentfilesynchronizertest.cpp
  TEST_NAME testdocumentfilesynchronizertest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  kastencoretestio
  KastenCore
  kastencoretestutil
  Qt5::Test
)

############ testdocumentfilesynchronizerfactorytest ###############

ecm_add_test(
  testdocument.cpp
  testdocumentfilesynchronizer.cpp
  testdocumentfilesynchronizerfactory.cpp
  testdocumentfilesynchronizerfactorytest.cpp
  TEST_NAME testdocumentfilesynchronizerfactorytest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  kastencoretestio
  KastenCore
  kastencoretestutil
  Qt5::Test
)

########### documentmanagertest ###############

ecm_add_test(
  testdocument.cpp
  documentmanagertest.cpp
  TEST_NAME documentmanagertest
  NAME_PREFIX libkasten-core-
  LINK_LIBRARIES
  KastenCore
  Qt5::Test
)

=== debian/changelog ===
okteta (5:0.26.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 02 Feb 2021 22:29:08 +0100

okteta (5:0.26.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 02 Feb 2021 20:38:12 +0100

okteta (5:0.26.4-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled. (Closes: #972298)

  [ Aurélien COUDERC ]
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 23:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.48.0~),
@@ -36,9 +34,9 @@
                shared-mime-info (>= 0.30),
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://kde.org/applications/utilities/okteta
+Homepage: https://apps.kde.org/en/okteta
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/okteta.git
 
@@ -139,13 +137,11 @@
 Section: localization
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: ${kde-l10n:all}
-        libkasten3core3 (<< 5:0.26.2),
+Breaks: libkasten3core3 (<< 5:0.26.2),
         libkasten3okteta1core1 (<< 5:0.26.2),
         libokteta2core2 (<< 5:0.26.2),
         libokteta2gui2 (<< 5:0.26.2),
-Replaces: ${kde-l10n:all}
-          libkasten3core3 (<< 5:0.26.2),
+Replaces: libkasten3core3 (<< 5:0.26.2),
           libkasten3okteta1core1 (<< 5:0.26.2),
           libokteta2core2 (<< 5:0.26.2),
           libokteta2gui2 (<< 5:0.26.2),
@@ -159,8 +155,6 @@
 Package: okteta
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: hexadecimal editor for binary files
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.

=== debian/rules ===
#!/usr/bin/make -f

TESTS_HOME=$(CURDIR)/debian/tests.home

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_HOME)"
	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
	rm -rf "$(TESTS_HOME)"
endif

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## okteta 0.26.6

=== libs/kasten/controllers/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,7 @@
         ModifiedBarControllerFactory
     PRIVATE
         ModifiedBarController
+        IconLabel
 )
 
 kastencontrollers_add_sublibrary(document/readonly

=== debian/changelog ===
okteta (5:0.26.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 16:30:19 +0200

## okteta 0.26.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(Okteta VERSION 0.26.5)
+project(Okteta VERSION 0.26.7)
 
 set(REQUIRED_KF5_VERSION "5.48.0")
 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,6 @@
 set(OKTETAGUI_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})
 
 add_definitions(-DTRANSLATION_DOMAIN=\"liboktetagui\")
-
-include_directories(
-    libcolumnsview
-)
 
 macro(OKTETAGUI_ADD_SUBLIBRARY _subdir)
     okteta_add_sublibrary(Gui NAMESPACE Okteta
@@ -28,9 +24,14 @@
         ValueEditor
         MouseNavigator
         MousePaster
+        TapNavigator
         # Dragger
         ZoomWheelController
+        ZoomPinchController
         Dropper
+
+        TouchOnlyTapAndHoldGesture
+        TouchOnlyTapAndHoldGestureRecognizer
 )
 
 oktetagui_add_sublibrary(libcolumnsview
@@ -99,6 +100,10 @@
     NO_VERSIONED_PACKAGE_NAME
 )
 
+target_include_directories(OktetaGui
+    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/libcolumnsview>
+)
+
 okteta_add_cmakeconfig(Gui NAMESPACE Okteta
 )

=== debian/changelog ===
okteta (5:0.26.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the check for nocheck in $(DEB_BUILD_OPTIONS), as debhelper already
    does not invoke dh_auto_test in compatibility >= 13.
  * Stop creating a local $HOME for dh_auto_test, as dh automatically creates
    a temporary one in compatibility >= 13.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the upstream signing key, as I cannot find the key that sined the new
    release.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 22 Feb 2022 22:14:12 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
                qtscript5-dev (>= 5.9.0~),
                qttools5-dev (>= 5.9.0~),
                shared-mime-info (>= 0.30),
-               xauth,
-               xvfb,
-Standards-Version: 4.5.1
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/okteta
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta

## okteta 0.26.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(Okteta VERSION 0.26.7)
+project(Okteta VERSION 0.26.9)
 
 set(REQUIRED_KF5_VERSION "5.48.0")
 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
okteta (5:0.26.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2022 07:58:33 +0200

okteta (5:0.26.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Sun, 22 May 2022 06:13:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.48.0~),
@@ -34,7 +33,7 @@
                shared-mime-info (>= 0.30),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/okteta
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
